Subject: Excellent use of apple II era video game to advert new era video game.

From: Dan Eicher <[email-masked]>
Date: Mon, 20 May 2013 07:01:11 -0400

Karatakia
 http://www.youtube.com/watch?v=6pDy-CSFsPs&feature=player_embedded